%define modname suhosin
%define soname %{modname}.so
%define inifile Z99_%{modname}.ini

Summary:	Suhosin extension module for PHP
Name:		php-%{modname}
Version:	0.9.18
Release:	%mkrel 4
Group:		Development/PHP
License:	PHP License
URL:		http://www.hardened-php.net/suhosin/
Source0:	%{modname}-%{version}.tgz
Source1:	%{modname}-%{version}.tgz.sig
Patch0:		suhosin-0.9.18-noservervar.patch
BuildRequires:	php-devel >= 3:5.2.0
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Suhosin is an advanced protection system for PHP installations. It was designed
to protect servers and users from known and unknown flaws in PHP applications
and the PHP core. Suhosin is binary compatible to normal PHP installation,
which means it is compatible to 3rd party binary extension like ZendOptimizer.

%prep

%setup -q -n %{modname}-%{version}
%patch0 -p1 -b .noservervar
[ "../package.xml" != "/" ] && mv ../package.xml .

%build

phpize

%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so %{modname}.so

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 suhosin.ini %{buildroot}%{_sysconfdir}/php.d/%{inifile}

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS package.xml tests Changelog
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Sun Mar 11 2007 Olivier Blin <oblin@mandriva.com> 0.9.18-4mdv2007.1
+ Revision: 141144
- fix crash when register_server_variables is not defined (fix Maniadrive for example)

* Wed Mar 07 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.18-3mdv2007.1
+ Revision: 134221
- rebuild

* Tue Mar 06 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.18-2mdv2007.1
+ Revision: 133887
- rebuild
- 0.9.18
- use the provided suhosin.ini file (thanks sesser)

* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.16-3mdv2007.1
+ Revision: 117538
- rebuilt against new upstream version (5.2.1)

* Mon Dec 18 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.16-2mdv2007.1
+ Revision: 98530
- fix deps (it does not requires pdo)

* Fri Dec 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.16-1mdv2007.1
+ Revision: 92245
- 0.9.16

* Thu Nov 23 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.14-1mdv2007.1
+ Revision: 86751
- 0.9.14

* Mon Nov 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.12-7mdv2007.1
+ Revision: 85480
- reworked the suhosin.ini file

* Fri Nov 17 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.12-6mdv2007.1
+ Revision: 85222
- rebuilt due to faulty/missing hdlists, try #6
- rebuilt due to faulty/missing hdlists, try #5
- rebuilt due to faulty/missing hdlists
- rebuilt due to faulty/missing hdlists
- rebuilt due to faulty/missing hdlists
- 0.9.12
- added some documentation in the ini file

* Thu Nov 09 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.11-1mdv2007.1
+ Revision: 79254
- 0.9.11

* Wed Nov 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.10-3mdv2007.0
+ Revision: 78320
- fix deps

* Tue Nov 07 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.10-2mdv2007.1
+ Revision: 77398
- rebuilt for php-5.2.0

* Tue Oct 31 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.10-1mdv2007.1
+ Revision: 74290
- 0.9.10
- Import php-suhosin



* Tue Oct 17 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.8-1mdv2007.1
- initial Mandriva package (looked at opensuse)
